Cyberduck Mountain Duck CLI

#5830 closed defect (thirdparty)

Did not receive identification string

Reported by: Zirneklitis Owned by: dkocher
Priority: highest Milestone:
Component: sftp Version: 4.0.1
Severity: critical Keywords: sftp,
Cc: Architecture: Intel
Platform: Windows XP

Description (last modified by dkocher)

Cyberduck for Windows 4.01 does not connect properly using SFTP protocol. The security log file in the server states:

Mar 24 00:59:09 MyServer sshd[21196]: Did not receive identification string from 192.168.1.1

(server name and IP address are changed)

Without identification stream the connection is dropped by server due to security restrictions.

From the same computer other programs like WinSCP and PuTTY makes normal connections.

There is no such problem with Cyberduck for Macintosh.

Attachments (1)

cyberduck.log.zip (5.2 KB) - added by Zirneklitis on Mar 25, 2011 at 5:01:39 PM.

Download all attachments as: .zip

Change History (10)

comment:1 Changed on Mar 24, 2011 at 10:34:06 AM by dkocher

  • Description modified (diff)

comment:2 follow-up: Changed on Mar 24, 2011 at 10:38:40 AM by dkocher

I suspect this is a thirdparty issue as the SSH packets sent should be exactly the same for both Mac and Windows. Is there some application firewall between the PC and the server? The log entry suggests a connection is made to the server with a different protocol than SSH.

comment:3 Changed on Mar 24, 2011 at 11:05:04 AM by dkocher

  • Summary changed from Wrong SFTP conection (Cyberduck for Windows) to Did not receive identification string

comment:4 in reply to: ↑ 2 Changed on Mar 24, 2011 at 12:00:05 PM by Zirneklitis

Replying to dkocher:

.. Is there some application firewall between the PC and the server? ..

I have tested it with different configurations. Even without firewalls and routers - just straight connection. The same message in the server's log file. I have tested with two different servers.

I have used Windows XP SP 3 as a desktop OS.

Last edited on Mar 24, 2011 at 2:53:37 PM by dkocher (previous) (diff)

comment:5 follow-up: Changed on Mar 24, 2011 at 2:54:22 PM by dkocher

What is the error displayed in Cyberduck?

comment:6 in reply to: ↑ 5 Changed on Mar 25, 2011 at 5:23:30 AM by Zirneklitis

Replying to dkocher:

What is the error displayed in Cyberduck?

Cyberduck feels happy. It is a _security_ flaw!!! It means that Cyberduck for Windows has hacker-like behavior.

comment:7 follow-up: Changed on Mar 25, 2011 at 8:17:04 AM by yla

Can you enable debug logging and do a connection attempt? Please send the cyberduck.log located in AppData to feedback@….

Changed on Mar 25, 2011 at 5:01:39 PM by Zirneklitis

comment:8 in reply to: ↑ 7 Changed on Mar 25, 2011 at 5:02:02 PM by Zirneklitis

Replying to yla:

.. Please send the cyberduck.log ..

Do you need this log file? Cyberduck for Windows (CfW) 4.0.2 does make this wrong connection only once.There comes the story:

  1. Install CfW 4.0.2. over CfW 4.0.1.
  2. Start CfW 4.0.2, connect to server. - Error in server log file. :(
  3. Close CfW 4.0.2.
  4. Start CfW 4.0.2, connect to server. - No more error in server log file. :)
  5. Close CfW 4.0.2.
  6. Install CfW 4.0.1. over CfW 4.0.2.
  7. Start CfW 4.0.1, connect to server. - No more error in server log file. :)
  8. Close CfW 4.0.1.
  9. Delete user preferences.
  10. Start CfW 4.0.1, connect to server. - Error in server log file. :(
  11. Close CfW 4.0.1.
  12. Start CfW 4.0.1, connect to server. - Error in server log file. :(
  13. Close CfW 4.0.1.
  14. Delete user preferences.
  15. Restore user preferences created by CfW 4.0.2.
  16. Start CfW 4.0.1, connect to server. - No more error in server log file. :)
  17. Close CfW 4.0.1.
  18. Install CfW 4.0.2. over CfW 4.0.1.
  19. Delete user preferences.
  20. Start CfW 4.0.2, connect to server. - Error in server log file. :(
  21. Close CfW 4.0.2.
  22. Start CfW 4.0.2.
  23. Start CfW 4.0.2, connect to server. - No more error in server log file. :)
  24. Close CfW 4.0.2.

That's it.

The appended log file is for the first time connection causing error in the server's log file.

comment:9 Changed on Mar 26, 2011 at 3:09:36 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

I don't see a clear pattern here. Always the same identification string is sent consisting of a user agent string in the format Cyberduck/4.0.2 (Windows/7) (Intel)

Note: See TracTickets for help on using tickets.
swiss made software